Skip to main content
GET
/
v1beta1
/
users
/
{id}
Get User
curl --request GET \
  --url https://api.example.com/v1beta1/users/{id}
{
  "400": {},
  "401": {},
  "404": {},
  "500": {},
  "user": {
    "id": "<string>",
    "name": "<string>",
    "title": "<string>",
    "email": "<string>",
    "avatar": "<string>",
    "state": "<string>",
    "metadata": {},
    "created_at": {},
    "updated_at": {}
  }
}
Retrieve detailed information about a specific user by their ID, email, or username.

Authentication

This endpoint requires authentication. Include a valid bearer token in the Authorization header.

Path Parameters

id
string
required
User identifier. Can be one of:
  • User ID (UUID)
  • Email address
  • Username/slug

Response

user
object
The requested user object.
id
string
Unique identifier for the user (UUID).
name
string
User’s username or slug.
title
string
User’s title or display name.
email
string
User’s email address.
avatar
string
URL to the user’s avatar image.
state
string
Current state of the user account (enabled or disabled).
metadata
object
Custom metadata associated with the user.
created_at
timestamp
Timestamp when the user was created.
updated_at
timestamp
Timestamp when the user was last updated.

Example Request

curl -X GET 'https://api.frontier.example.com/v1beta1/users/9f256f86-4a1e-4b2a-9c45-6d2c8f5a3b7e' \
  -H 'Authorization: Bearer <token>'

Example Response

{
  "user": {
    "id": "9f256f86-4a1e-4b2a-9c45-6d2c8f5a3b7e",
    "name": "john.doe",
    "title": "John Doe",
    "email": "[email protected]",
    "avatar": "https://example.com/avatars/john.jpg",
    "state": "enabled",
    "metadata": {
      "department": "Engineering"
    },
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-03-01T14:22:00Z"
  }
}

Error Codes

400
error
Bad Request - Invalid user ID format.
401
error
Unauthorized - Invalid or missing authentication token.
404
error
Not Found - User does not exist with the provided identifier.
500
error
Internal Server Error - An unexpected error occurred.

Build docs developers (and LLMs) love